[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFontCharSet

Represents a font character set as a numeric value.

## Declaration

Source position: graphics.pp line 77

`type TFontCharSet = 0..255;`

## Description

TFontCharSet is a range type with values representing font character sets. TFontCharSet is limited to integer values in the range 0..255, and correspond to the character set identifiers as used in the Win32 GDI LogFont structure. For other platforms, or widgetsets, the values used refer to constants defined in the widgetset interface.

TFontCharSet is the type used to implement the CharSet member in TFontData and TFont.

## Version info

Modified in LCL 3.0 to be an alias to TFontCharSet in System.UITypes for FPC 3.3.0 or higher.

## See also

TFont.CharSet |  | Indicates the character set used in the font.
TFontData |  | Contains information about a font used in an application.